			Red Hat GFS 6.1 RHEL4 U4 Release Notes


Copyright(c) 2006 Red Hat, Inc.
	-------------------------------------------------------

November 21, 2006 (revised)

Introduction

   The following topics are covered in this document:
   
     o Changes to GFS 6.1
     
     o Important Notes
     
     o Bugs Fixed in the Release

     o Related Documentation
     
   
Changes to GFS 6.1

  Multipath GNBD is available with this release.  To use multipath
  with GNBD, perform the following steps:

  
  1. Create a patch file named multipath_gnbd_update.patch that contains
     the following text:

Index: multipath.dev
===================================================================
RCS file: /cvs/dm/multipath-tools/multipath/Attic/multipath.dev,v
retrieving revision 1.13
retrieving revision 1.13.2.1
diff -u -r1.13 -r1.13.2.1
--- multipath.dev	16 Dec 2005 08:24:02 -0000	1.13
+++ multipath.dev	28 Jun 2006 19:29:10 -0000	1.13.2.1
@@ -4,6 +4,12 @@
 	exit
 fi
 
+if [ "${ACTION}" = "add" -a "${DEVPATH:7:4}" = "gnbd" ] ; then
+	sysfsroot=`grep -w -m1 sysfs /proc/mounts | cut -d\  -f2`
+	if [ "`<${sysfsroot}/class/gnbd/${DEVPATH:7}/sectors`" = "0" ] ; then
+		exit
+	fi
+fi
 
 mpath_ctl_fail=0
 if /sbin/pidof /sbin/multipathd > /dev/null 2>&1 ; then


  2. In the directory where the patch file was saved, run the patch 
     command as follows:

     # patch -p0 -d /etc/dev.d/block/ < multipath_gnbd_update.patch


  3. Add the following lines to the /etc/multipath.conf file:

        device {
                vendor                  "GNBD"
                product                 "GNBD"
                path_grouping_policy    multibus
                getuid_callout          "/sbin/gnbd_import -q -U /block/%n"
                path_checker            directio
        } 
   

   
Important Notes

 Snapshots Not Activated
   
   This release prevents the activation of snapshots in a clustered volume
   group.


 up2date Command Changed

  The up2date command has changed for RHEL4 U4. When installing
  GFS software, use this syntax:

  up2date --installall=<channel-label>
   


Bugs Fixed in the Release

   o 179069 -- gfs_fsck unable to fix file system
   o 186125 -- gfs_fsck on GFS 6.1 leaves volume in an unmountable
     state
   o 182057 -- GFS out of memory hang due to large count of files in directory
   o 182066 -- GFS with default ACL on new folder is not applied ?!
   o 190950 -- Small write and gfs_fsync performance issue
   o 191222 -- read flock broken on single-node
   o 193817 -- panic on mkdir on NFS on GFS
   o 198303 -- fcntl lock doesn't work on local machine when in
     cluster mode
   o 196084 -- gnbd_export -U -d <partition> doesn't work


   For more information about bugs fixed in this release and other information 
   about the release, refer to the following errata on RHN
   (https://rhn.redhat.com/):

    o RHBA-2006:0560 - GFS bug fix update
    o RHBA-2006:0561 - GFS-kernel bug fix update
    o RHBA-2006:0562 - gnbd-kernel bug fix update
    o RHBA-2006:0563 - gnbd bug fix update
    o RHBA-2006:0570 - lvm2-cluster bug fix update
   

Related Documentation
   
   The following related documentation is available at 
   http://www.redhat.com/docs/manuals/csgfs/:
   
   o Red Hat GFS 6.1 Administrator's Guide
   
   o Release notes for Red Hat GFS 6.1

   o Red Hat Cluster Suite Configuring and Managing a Cluster
     (for Red Hat Cluster Suite 4)
   
   o Release notes for Red Hat Cluster Suite 4

